package com.chelvc.cloud.vehicle.client;

import com.chelvc.cloud.vehicle.client.dto.MerchantAssetDTO;
import com.chelvc.cloud.vehicle.client.param.TransferNotifyParam;
import com.chelvc.cloud.vehicle.client.param.WithdrawNotifyParam;
import com.chelvc.cloud.vehicle.client.param.WithdrawParam;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.cloud.openfeign.SpringQueryMap;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.*;

@FeignClient("vehicle")
public interface AssetClient {

    @GetMapping("/asset/merchant")
    MerchantAssetDTO getMerchantAsset(@RequestParam("merchantId") Long merchantId);

    @PutMapping(value = "/asset/withdraw")
    void withdraw(@RequestBody WithdrawParam param);

    @PostMapping(value = "/asset/withdraw/notify")
    void withdrawNotify(@RequestBody WithdrawNotifyParam param);

    @PostMapping(value = "/asset/transfer/notify")
    void transferNotify(@RequestBody TransferNotifyParam param);
}
