package com.chelvc.cloud.vehicle.client.constant;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum MerchantApplyStatus {
    PROCESSING(1, "PROCESSING","审核中"),
    SUCCESS(2, "SUCCESS","入网完成"),
    PASS(3, "PASS","审核通过"),
    NO_PASS(4, "NO_PASS","审核不通过"),
    REFUSE(5, "REFUSE","审核拒绝"),
    ESIGN_PROCESS(6, "ESIGN_PROCESS","待签约"),
    ESIGN_PROCESSING(7, "ESIGN_PROCESSING","签约中"),
    ESIGN_FAIL(8, "ESIGN_FAIL","签约失败"),
    ESIGN_SUCCESS(9, "ESIGN_SUCCESS","签约成功"),
    ;

    private Integer status;

    private String type;

    private String desc;

    public static Integer getStatus(String type){
        for (MerchantApplyStatus applyStatus : MerchantApplyStatus.values()) {
            if (applyStatus.getType().equals(type)) {
                return applyStatus.getStatus();
            }
        }
        return 0;
    }
}
