package com.chelvc.cloud.vehicle.client.dto;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.SuperBuilder;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 订单退货申请对象 oms_order_return_apply
 * 
 * @author liude
 * @date 2024-05-01
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
public class OrderReturnApplyDTO implements Serializable
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 订单id */
    private Long orderId;

    /** 商户id */
    private Long merchantId;

    /** 收货地址表id */
    private Long companyAddressId;

    /** 订单编号 */
    private String orderSn;

    /** 会员用户名 */
    private String userName;

    /** 退款金额 */
    private BigDecimal returnAmount;

    /** 退货人姓名 */
    private String returnName;

    /** 退货人电话 */
    private String returnPhone;

    /** 申请状态：0->待处理；1->退货中；2->已完成；3->已拒绝 */
    private Long status;

    /** 处理时间 */
    private Date handleTime;

    /** 原因 */
    private String reason;

    /** 描述 */
    private String description;

    /** 凭证图片，以逗号隔开 */
    private String proofPics;

    /** 处理备注 */
    private String handleNote;

    /** 处理人员 */
    private String handleMan;

    /** 收货人 */
    private String receiveMan;

    /** 收货时间 */
    private Date receiveTime;

    /** 收货备注 */
    private String receiveNote;
    /**
     * 退货商品列表
     */
    private List<OmsOrderItemDTO> goodsList;
}
