package com.chelvc.cloud.vehicle.client.param;

import com.chelvc.cloud.vehicle.client.constant.Sort;
import com.chelvc.framework.common.model.Paging;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 * 商家查询参数
 *
 * @author Woody
 * @date 2023/7/20
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class MerchantQueryParamPaging extends LocationQueryParam {
    /**
     * 关键字
     */
    @Size(max = 50, message = "关键字长度不能大于50")
    private String keyword;

    /**
     * 分类ID
     */
    @Min(value = 1, message = "分类ID不能小于1")
    private Long categoryId;

    /**
     * 排序规则
     */
    @NotNull(message = "排序规则不能为空")
    private Sort sort;

    /**
     * 分页信息
     */
    @NotNull(message = "分页不能为空")
    private Paging paging;
}
