package com.chelvc.cloud.vehicle.client.param;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 购物车对象 oms_cart_item
 * 
 * @author liude
 * @date 2023-11-08
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
public class OmsGoodsModifyParam implements Serializable
{
    private static final long serialVersionUID = 1L;
    /**
     * 商品id
     */
    private Long goodsId;

    /** 购买数量 */
    private Integer quantity;

    /** 购买商品的价格 */
    private BigDecimal price;

    /** 商品主图 */
    private String goodsPic;

    /** 商品名称 */
    @NotEmpty(message = "商品名称不能为空")
    private String goodsName;

    /** 商品副标题（卖点） */
    private String goodsSubTitle;

    /** 商品分类 */
    private Long goodsCategoryId;
    /**
     * 商品原价
     */
    private Double originalPrice;

}
