package com.chelvc.cloud.vehicle.client.param;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class QueryMerchantBalanceParam implements Serializable {
    private static final long serialVersionUID = 2535007246313969081L;

    /**
     * 开始时间
     */
    private Date startTime;

    /**
     * 结束时间
     */
    private Date endTime;

    /**
     * 流水类型：0-收入；1-支出
     */
    private Integer flowType;

    /**
     * 操作类型：1-订单收益；2-提现
     */
    private Integer operateType;

    /**
     * 商家id
     */
    @NotNull(message = "商家标识不能为空")
    private Long merchantId;
}
