package com.chelvc.cloud.vehicle.client.util;


import com.alibaba.fastjson.JSONObject;
import com.upay.sdk.Constants;
import com.upay.sdk.core.CipherWrapper;
import com.upay.sdk.core.Environment;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;

@Slf4j
public class JsonBuilder {

    String partnerId = "";

    public String getMerchantId() {
        return merchantId;
    }

    String merchantId = "";

    public String getPartnerId() {
        return partnerId;
    }

    public JSONObject getRawDataJson() {
        return rawDataJson;
    }

    JSONObject rawDataJson = null;


    public JsonBuilder(String merchantId, String partnerId, JSONObject rawDataJson) {
        this.merchantId = merchantId;
        this.partnerId = partnerId;
        this.rawDataJson = rawDataJson;
    }


    /**
     * 构建请求参数 签名+加密
     */
    public JSONObject buildRequestParam() {
        JSONObject json = rawDataJson;
        //生成签名数据 此处不会对数据进行散列运算 会在加密时对数据进行处理

        StringBuilder hmacSourceResult = new StringBuilder();
        FastJsonUtils.generateHmacSource(json, null, hmacSourceResult);


        json.put(Constants.HMAC, hmacSourceResult.toString().getBytes(Environment.DEFAULT_CHARSET));

        if (StringUtils.isNotBlank(partnerId)) {
            return CipherWrapper.bothEncryptWrap(merchantId, partnerId, json);
        }
        return CipherWrapper.bothEncryptWrap(merchantId, json);
    }


}
