package com.chelvc.cloud.vehicle.server.controller;

import com.chelvc.cloud.vehicle.client.dto.PlatformProfitRatioDTO;
import com.chelvc.cloud.vehicle.client.param.EditPlatformProfitRatioParam;
import com.chelvc.cloud.vehicle.client.param.QueryPlatformProfitRatioParam;
import com.chelvc.cloud.vehicle.server.service.PlatformProfitRatioService;
import com.chelvc.framework.common.model.Pagination;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class PlatformProfitRatioController {

    private final PlatformProfitRatioService platformProfitRatioService;

    @PostMapping("/platformProfitRatio/selectOmsOrderSettingById")
    public void edit(@RequestBody EditPlatformProfitRatioParam param) {
        platformProfitRatioService.edit(param);
    }

    @GetMapping("/platformProfitRatio/queryPageList")
    public Pagination<PlatformProfitRatioDTO> queryPageList(QueryPlatformProfitRatioParam param) {
        return platformProfitRatioService.queryPageList(param);
    }
}
