package com.chelvc.cloud.vehicle.server.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.chelvc.cloud.vehicle.server.entity.Asset;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Update;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Mapper
public interface AssetMapper extends BaseMapper<Asset> {

    @Update("update asset set frozen = frozen - #{payAmount}, total = total + #{platformRealityAmount}, update_time = #{now} where user_id = #{userId} and type = 0")
    int updatePlatformAsset(BigDecimal platformRealityAmount, BigDecimal payAmount, LocalDateTime now, Long userId);

    @Update("update asset set total = total - #{amount}, frozen = frozen + #{amount}, update_time = #{now} where user_id = #{userId} and type = #{type}")
    int updateFrozenAmount(BigDecimal amount, LocalDateTime now, Long userId, Integer type);

    @Update("update asset set total = total + #{amount}, frozen = frozen - #{amount}, update_time = #{now} where user_id = #{userId} and type = #{type}")
    int backFrozen(BigDecimal amount, Long userId, Integer type, LocalDateTime now);

    @Update("update asset set frozen = frozen - #{amount}, update_time = #{now} where user_id = #{userId} and type = #{type}")
    int deductFrozen(BigDecimal amount, Long userId, Integer type, LocalDateTime now);
}
