package com.chelvc.cloud.vehicle.server.dao;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chelvc.cloud.vehicle.client.dto.RankAwardRecordDTO;
import com.chelvc.cloud.vehicle.server.entity.RankAwardConfig;
import com.chelvc.cloud.vehicle.server.entity.RankAwardRecord;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

@Mapper
public interface RankAwardRecordMapper extends BaseMapper<RankAwardRecord> {

    IPage<RankAwardRecordDTO> queryPageList(@Param("page") Page<RankAwardRecordDTO> page,
                                            @Param(Constants.WRAPPER) QueryWrapper<RankAwardConfig> wrapper);

    Integer batchInsert(@Param("list") List<RankAwardRecord> list);

    BigDecimal queryAmountByRegion(@Param("regionId") Integer regionId, @Param("lastYearMonth") String lastYearMonth);
}
