package com.chelvc.cloud.vehicle.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 订单操作历史记录对象 oms_order_operate_history
 * 
 * @author liude
 * @date 2023-11-08
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
@TableName(autoResultMap = true)
public class OmsOrderOperateHistory implements Serializable
{
    private static final long serialVersionUID = 1723358231804121398L;

    /** $column.columnComment */
    @TableId(type = IdType.AUTO)
    private Long id;

    /** 订单id */
    private Long orderId;

    /**
     * 用户id
     */
    private Long userId;

    /** 操作人：用户；系统；后台管理员 */
    private Long operateMan;

    /** 订单状态：0->待付款；1->待发货；2->已发货；3->已完成；4->已关闭；5->无效订单 */
    private Integer orderStatus;

    /**
     * 订单消息标识：0-新消息；1-已查看
     */
    private Integer flag;

    /** 备注 */
    private String note;

    /**
     * 操作时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
}
