package com.chelvc.cloud.vehicle.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.*;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 派奖记录
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
public class RankAwardRecord implements Serializable {

    private static final long serialVersionUID = -45647620845346610L;

    /**
     * 主键
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 用户标识
     */
    private Long userId;

    /**
     * 排名
     */
    private int rank;

    /**
     * 周期
     */
    private String period;

    /**
     * 类类型：类型：0-年；1-季；2-月；3-周；4-日  暂时默认为2
     */
    private Integer type;

    /**
     * 平台类型：1-用户；2-商家 暂时默认为2
     */
    private Integer platformType;

    /**
     * 区域等级：0-国家；1-省；2-市；3-区
     */
    private Integer regionLevel;

    /**
     * 状态：0-未确认；1-已确认
     */
    private Integer status;

    /**
     * 奖励金额
     */
    private BigDecimal bonus;

    /**
     * 派奖时间
     */
    private LocalDateTime awardTime;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;
}
