package com.chelvc.cloud.vehicle.server.service.impl;

import com.chelvc.cloud.vehicle.client.dto.RegionDTO;
import com.chelvc.cloud.vehicle.server.dao.RegionMapper;
import com.chelvc.cloud.vehicle.server.service.CommonService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Slf4j
@Service
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class CommonServiceImpl implements CommonService {

    private final RegionMapper regionMapper;

    @Override
    public List<RegionDTO> getRegionByPid(Integer pid) {
        if(pid == null){
            pid = 100000;
        }
        return regionMapper.getRegionByPid(pid);
    }

    @Override
    public List<RegionDTO> getRegionByLevel(Integer level) {
        if(level == null){
            level = 0;
        }
        return regionMapper.getRegionByLevel(level);
    }
}
