package com.chelvc.cloud.vehicle.server.service.impl;

import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.chelvc.cloud.vehicle.server.dao.OmsWithdrawMapper;
import com.chelvc.cloud.vehicle.server.entity.OmsWithdraw;
import com.chelvc.cloud.vehicle.server.service.OmsWithdrawService;
import com.chelvc.framework.common.exception.ResourceUnavailableException;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Lazy;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.Date;

@Service
@RequiredArgsConstructor(onConstructor = @__({@Autowired,@Lazy}))
public class OmsWithdrawServiceImpl extends ServiceImpl<OmsWithdrawMapper,
        OmsWithdraw> implements OmsWithdrawService {

    @Override
    public Long createWithdraw(Long userId, Integer type, BigDecimal amount, Integer channel, Integer flag) {
        OmsWithdraw withdraw = new OmsWithdraw();
        withdraw.setAmount(amount);
        withdraw.setChannel(channel);
        withdraw.setStatus(0);
        withdraw.setUserId(userId);
        withdraw.setType(type);
        withdraw.setFlag(flag);
        withdraw.setCreateTime(new Date());
        int i = baseMapper.insert(withdraw);
        if(i != 1){
            throw new ResourceUnavailableException("提现申请失败");
        }
        return withdraw.getId();
    }

    @Override
    public int updateStatusById(Long id, Integer status) {
        UpdateWrapper<OmsWithdraw> update = Wrappers.update();
        update.set("status", status);
        update.eq("id", id);
        return baseMapper.update(null, update);
    }

    @Override
    public OmsWithdraw queryById(Long id) {
        return baseMapper.selectById(id);
    }

    @Override
    public int updateByNotify(Long id, String outOrderId, Integer status) {
        UpdateWrapper<OmsWithdraw> update = Wrappers.update();
        update.set("status", status);
        update.set("out_order_id", outOrderId);
        update.set("update_time", new Date());
        update.eq("id", id);
        return baseMapper.update(null, update);
    }
}
